Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-48734

JEP-200 - Make PCT usable for testing plugin compatibility with unreleased Jenkins Cores

    Details

    • Epic Name:
      JEP-200 - Make PCT usable for testing plugin compatibility with unreleased Jenkins Cores
    • Similar Issues:

      Description

      During the review of JEP-200 (JENKINS-47736) I discovered that PCT cannot be actually used for the use-case of JEP: "Test that the plugin works fine with a custom unreleased version of the Jenkins Core"

      • I could deploy a snapshot to the update center, sure. In such case all submodules (core, war, etc.) would have different versions
      • Plugin POM allows specifying jenkins-core.version and jenkins-war.version, but PCT does not offer such option in the codebase => It won't work

      I will be using this EPIC to track changes in PCT I do during the JEP-200 review work.

        Attachments

          Issue Links

            Activity

            There are no comments yet on this issue.

              People

              • Assignee:
                oleg_nenashev Oleg Nenashev
                Reporter:
                oleg_nenashev Oleg Nenashev
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: